# org.pdfclown.objects.IVisitor Interface Reference

Visitor interface. More...

Inheritance diagram for org.pdfclown.objects.IVisitor:

List of all members.

## Public Member Functions
PdfObject | Visit (XRefStream obj, object data)
| Visits a cross-reference stream object.
PdfObject | Visit (PdfTextString obj, object data)
| Visits a text string object.
PdfObject | Visit (PdfString obj, object data)
| Visits a string object.
PdfObject | Visit (PdfStream obj, object data)
| Visits a stream object.
PdfObject | Visit (PdfReference obj, object data)
| Visits a reference object.
PdfObject | Visit (PdfReal obj, object data)
| Visits a real-number object.
PdfObject | Visit (PdfName obj, object data)
| Visits a name object.
PdfObject | Visit (PdfInteger obj, object data)
| Visits an integer-number object.
PdfObject | Visit (PdfIndirectObject obj, object data)
| Visits an indirect object.
PdfObject | Visit (PdfDictionary obj, object data)
| Visits an object dictionary.
PdfObject | Visit (PdfDate obj, object data)
| Visits a date object.
PdfObject | Visit (PdfDataObject obj, object data)
| Visits a data object.
PdfObject | Visit (PdfBoolean obj, object data)
| Visits a boolean object.
PdfObject | Visit (PdfArray obj, object data)
| Visits an object array.
PdfObject | Visit (ObjectStream obj, object data)
| Visits an object stream.

##

Visitor interface.

Implementations are expected to be functional (traversal results are propagated through return values rather than side effects) and external (responsibility for traversing the hierarchical structure is assigned to the 'visit' methods rather than the 'accept' counterparts).

## Member Function Documentation

PdfObject org.pdfclown.objects.IVisitor.Visit | ( | XRefStream | obj,
|  | object | data |
| ) |  |  |

Visits a cross-reference stream object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implemented in org.pdfclown.objects.Cloner, and org.pdfclown.objects.Visitor.

PdfObject org.pdfclown.objects.IVisitor.Visit | ( | PdfTextString | obj,
|  | object | data |
| ) |  |  |

Visits a text string object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implemented in org.pdfclown.objects.Visitor.

PdfObject org.pdfclown.objects.IVisitor.Visit | ( | PdfString | obj,
|  | object | data |
| ) |  |  |

Visits a string object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implemented in org.pdfclown.objects.Visitor.

PdfObject org.pdfclown.objects.IVisitor.Visit | ( | PdfStream | obj,
|  | object | data |
| ) |  |  |

Visits a stream object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implemented in org.pdfclown.objects.Cloner, and org.pdfclown.objects.Visitor.

PdfObject org.pdfclown.objects.IVisitor.Visit | ( | PdfReference | obj,
|  | object | data |
| ) |  |  |

Visits a reference object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implemented in org.pdfclown.objects.Cloner, and org.pdfclown.objects.Visitor.

PdfObject org.pdfclown.objects.IVisitor.Visit | ( | PdfReal | obj,
|  | object | data |
| ) |  |  |

Visits a real-number object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implemented in org.pdfclown.objects.Visitor.

PdfObject org.pdfclown.objects.IVisitor.Visit | ( | PdfName | obj,
|  | object | data |
| ) |  |  |

Visits a name object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implemented in org.pdfclown.objects.Visitor.

PdfObject org.pdfclown.objects.IVisitor.Visit | ( | PdfInteger | obj,
|  | object | data |
| ) |  |  |

Visits an integer-number object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implemented in org.pdfclown.objects.Visitor.

PdfObject org.pdfclown.objects.IVisitor.Visit | ( | PdfIndirectObject | obj,
|  | object | data |
| ) |  |  |

Visits an indirect object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implemented in org.pdfclown.objects.Cloner, and org.pdfclown.objects.Visitor.

PdfObject org.pdfclown.objects.IVisitor.Visit | ( | PdfDictionary | obj,
|  | object | data |
| ) |  |  |

Visits an object dictionary.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implemented in org.pdfclown.objects.Cloner, and org.pdfclown.objects.Visitor.

PdfObject org.pdfclown.objects.IVisitor.Visit | ( | PdfDate | obj,
|  | object | data |
| ) |  |  |

Visits a date object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implemented in org.pdfclown.objects.Visitor.

PdfObject org.pdfclown.objects.IVisitor.Visit | ( | PdfDataObject | obj,
|  | object | data |
| ) |  |  |

Visits a data object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implemented in org.pdfclown.objects.Visitor.

PdfObject org.pdfclown.objects.IVisitor.Visit | ( | PdfBoolean | obj,
|  | object | data |
| ) |  |  |

Visits a boolean object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implemented in org.pdfclown.objects.Visitor.

PdfObject org.pdfclown.objects.IVisitor.Visit | ( | PdfArray | obj,
|  | object | data |
| ) |  |  |

Visits an object array.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implemented in org.pdfclown.objects.Cloner, and org.pdfclown.objects.Visitor.

PdfObject org.pdfclown.objects.IVisitor.Visit | ( | ObjectStream | obj,
|  | object | data |
| ) |  |  |

Visits an object stream.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implemented in org.pdfclown.objects.Cloner, and org.pdfclown.objects.Visitor.

Referenced by org.pdfclown.tokens.XRefStream.Accept(), org.pdfclown.objects.PdfTextString.Accept(), org.pdfclown.objects.PdfString.Accept(), org.pdfclown.objects.PdfStream.Accept(), org.pdfclown.objects.PdfReference.Accept(), org.pdfclown.objects.PdfReal.Accept(), org.pdfclown.objects.PdfName.Accept(), org.pdfclown.objects.PdfInteger.Accept(), org.pdfclown.objects.PdfIndirectObject.Accept(), org.pdfclown.objects.PdfDictionary.Accept(), org.pdfclown.objects.PdfDate.Accept(), org.pdfclown.objects.PdfBoolean.Accept(), org.pdfclown.objects.PdfArray.Accept(), and org.pdfclown.tokens.ObjectStream.Accept().

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.